
%Grfico
x=linspace(-1,3,500);
plot(x,exp(x),'g',x,2*x.^2,'r');

%A funo anular-se- perto de 0.5, 1.5 e 2.7
%Usando o ponto fixo temos:

%a) exp(x)-2x^2=0 <=> x=log(2x^2)

phi=inline('log(2*x.^2)');
pontofixo(phi,2,10^-8,500)

% este d 2.6179, independentemente do x0 escolhido
% temos a maior raz, para encontrar as outras precisamos de outros phi

%b) exp(x)-2x^2=0 <= x=sqrt(exp(x)/2)

phi=inline('sqrt(exp(x)/2)');
pontofixo(phi,2,10^-8,500)

% este d 1.4880, independentemente do x0 escolhido
% temos a segunda raz, falta a menor

%c) exp(x)-2x^2=0 <= x=-sqrt(exp(x)/2)

phi=inline('-sqrt(exp(x)/2)');
pontofixo(phi,-1,10^-8,500)

% este d -0.5398, pelo que isolmos todas as razes.


